<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
    	<link rel="stylesheet" type="text/css" href="sylphy.css">
    	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap-theme.min.css">
    </head>

    <body>
    		<script src="js/cropbox.js"></script>
    	    <script>
		      window.fbAsyncInit = function() {
		        FB.init({
		          appId      : '1668452993388916',
		          xfbml      : true,
		          version    : 'v2.4'
		        });
		        setTimeout(function(){
				facebookLogin()
				},2000);
		      };

		      window.fbApp = {};
			  function facebookLogin() {
			    console.log('facebook login');
			      FB.getLoginStatus(function(response) {
			      console.log(response);

			      if (response.status === 'connected') {
			        // connected
			        //alert('connected');


			      } else if (response.status === 'not_authorized') {
			        //app not_authorized
			        FB.login(function(response) {
			            if (response && response.status === 'connected') {
			               // alert('connected');
			            }
			        }, { scope: 'email,user_photos,publish_actions' });

			      } else {
			        // not_logged_in to Facebook
			        FB.login(function(response) {
			            if (response && response.status === 'connected') {
			                //alert('connected');
			            }
			        }, { scope: 'email,user_photos,publish_actions' });
			      }
			      }); 
			  }

		      (function(d, s, id){
		         var js, fjs = d.getElementsByTagName(s)[0];
		         if (d.getElementById(id)) {return;}
		         js = d.createElement(s); js.id = id;
		         js.src = "//connect.facebook.net/en_US/sdk.js";
		         fjs.parentNode.insertBefore(js, fjs);
		       }(document, 'script', 'facebook-jssdk'));
		    </script>

		   
	<div id ="container">    
		<div class="header"> 
			<h1> <p>THE SYLPHY</p>
			     <p>TRANSFORMATION</p>
			</h1>
			<div style="color:red;font-weight:bold">Just like the Sentra, you grew up.</div>
			<div style="color:red;font-weight:bold">Showcase your big transformation and get the chance</div>
			<div style="color:red;font-weight:bold">to win a brand new car that fits the brand new you.</div>
		</div> <br>
		<div class="headerphoto"> 
		<IMG SRC="tan.jpg">
		</div> <br>
		<div class="tabbed round">
			<!-- Nav tabs -->
			    <ul id="sylphytab"class="nav nav-tabs" role="tablist">
			    <li role="presentation" class="active"><a id='btnPostAndShare' aria-controls="step3" role="tab" data-toggle="tab">3. Post & Share</a></li>
			    <li role="presentation" ><a  id="btnChooseNew" aria-controls="step2" role="tab" data-toggle="tab">2. Choose New</a></li>
			    <li role="presentation" ><a id="btnChooseOld" aria-controls="step1" role="tab" data-toggle="tab">1. Choose Old</a></li>
			</ul>
		</div>
		
		<form id="" class="form-vertical">
		<div class="tab-content">
		<div role="tabpane" class="tab-pane active" id="step1">
		<!-- AMR -->
			<p  class="contentheader">CHOOSE OLD PHOTO</p>
				<div id = "left-panel">
					<div class="form-group col-xs-offset-3">	
						<button type="button" id="chooseGallery" class="btn btn-default btn-md">
				          <span class="glyphicon glyphicon-picture"></span> Choose From Gallery
				        </button>
				    </div>    	
		       
			        <div class="form-group col-xs-offset-3">
				        <button type="button" id="upload" class="btn btn-default btn-md">
				          <span class="glyphicon glyphicon-plus"></span> Upload a Photo
				        </button>
				        <input type='file' id="file" accept="image/gif, image/jpeg, image/png" style="display:none;" />
			    	</div>
		        
			    	<br><br>
		        
			        <div class="form-group col-xs-offset-3">
			        	<label class="control-label">Year Taken </label>
						<div class="form-inline">
							
							<select class="form-control year" required name="year" id="year">
								<option selected disabled value="">Year</option>
										
							</select>
						</div>
					</div>
				</div>
				<div id="right-panel">
					
						<!--<a href="#" class="thumbnail photo" style="width:300px;height:300px" >	   </a> -->

						<div class="imageBox">
					        <div class="thumbBox"><img src="img/old_photo.png"></div>
					        <div class="spinner" style="display: none"></div>
					    </div>
					    <div class="action">
				
					        <button type="button" id="btnZoomIn" class="btn btn-default btn-xs" style="float:right;  margin-right:80px">
						        <span class="glyphicon glyphicon-plus"></span>
						    </button>
					         <button type="button" id="btnZoomOut" class="btn btn-default btn-xs" style="float:right;">
						        <span class="glyphicon glyphicon-minus"></span>
						    </button>
					        
					    </div>
					    
					
				</div>

				<div id="bottom-panel">
					<div class="form-group">	
						<span class='error txt-error-old'></span>
						<div class="col-xs-11">
							<button type="button" id="btnCropOld" class="btn btn-primary btn-md pull-right">Crop and Save</button>
							<button type="reset" class="btn btn-default btn-md pull-right">Cancel</button>
						</div>
					</div>
				</div>
			
			
			
		 </div>

		<!-- d*****************************-->

		<div role="tabpane" class="tab-pane" id="step2">
			<!-- AMR -->
			<p class="contentheader">CHOOSE NEW PHOTO</p> 
				<div id = "left-panel">
					<div class="form-group col-xs-offset-3">	
						<button type="button" class="btn btn-default btn-md">
				          <span class="glyphicon glyphicon-picture"></span> Choose From Gallery
				        </button>
				    </div>    	
		       

			        <div class="form-group col-xs-offset-3">
				        <button type="button" id="upload" class="btn btn-default btn-md">
				          <span class="glyphicon glyphicon-plus"></span> Upload a Photo
				        </button>
				        <input type='file' id="file" accept="image/gif, image/jpeg, image/png" style="display:none;" />
			    	</div>
		        
			    	<br><br>
		        
			        <div class="form-group col-xs-offset-3">
			        	<label class="control-label">Year Taken </label>
						<div class="form-inline">
							
							<select class="form-control year" required name="year" id="year">
								<option selected disabled value="">Year</option>
										
							</select>
						</div>
					</div>
				</div>
				<div id="right-panel">
					
						<div class="imageBox">
					        <div class="thumbBox"><img src="img/new_photo.png"></div>
					        <div class="spinner" style="display: none"></div>
					    </div>
					    <div class="action">
				
					        <button type="button" id="btnZoomIn" class="btn btn-default btn-xs" style="float:right;  margin-right:80px">
						        <span class="glyphicon glyphicon-plus"></span>
						    </button>
					         <button type="button" id="btnZoomOut" class="btn btn-default btn-xs" style="float:right;">
						        <span class="glyphicon glyphicon-minus"></span>
						    </button>
					        
					    </div>
					
				</div>

				<div id="bottom-panel">
						<span class='error txt-error-new'></span>
						<div class="col-xs-11">
							<button type="button" id="btnCropNew" class="btn btn-primary btn-md pull-right">Crop and Save</button>
							<button type="button" id="cancel" class="btn btn-default btn-md pull-right">Cancel</button>
						</div>
					
				</div>
		</div>
			
			
		<div role="tabpane" class="tab-pane" id="step3">
				<p class="contentheader">POST & SHARE</p>
					<div id = "left-panel">
					  <div id = "left-panel-top">
					  <div style="color:red;font-weight:bold">There is so much to love with</div>
					  <div style="color:red;font-weight:bold">the brancd new Nessan Sylphy</div>
					  </div>
					  <div id = "left-panel-mid">
					  <div style="font-weight:bold">Choose your</div>
					  <div style="font-weight:bold">favorite feature:</div>
					  </div>

				          <div class="form-feature col-xs-offset-3">
				          <input type="checkbox" name="feature" value"Spacious Cabin"/> Spacious Cabin<br/>
				          <input type="checkbox" name="feature" value"Huge Trunk Space"/> Huge Trunk Space<br/>
				          <input type="checkbox" name="feature" value"Dual Climate Control"/> Dual Climate Control<br/>
				          <input type="checkbox" name="feature" value"LED Accent headlamps"/> LED Accent headlamps<br/>
				          <input type="checkbox" name="feature" value"Remote Keyless Entry"/> Remote Keyless Entry<br/>
				          <input type="checkbox" name="feature" value"Remote Keyless Entry"/> Push Button Start<br/>
				          <input type="checkbox" name="feature" value"Remote Keyless Entry"/> Engine with Xtronic CVT transmission<br/>
				          <input type="checkbox" name="feature" value"Remote Keyless Entry"/> Sony XAV Sound System<br/>
			    		  </div>



				    	</div>    	


<!----AMR					<div id="photo-final"> --->
					<div id="right-panel"> 
						<a href="#" class="thumbnail"  style="width:300px;height:300px" ><img id='final-output-image'> </a>
						<div class="col-xs-12">
							<br>
							<div id="post-panel" style="width:200px;">

											    		   
								<input type="submit" class="btn btn-primary btn-md btn-block" value ="Post">
							</div>
						</div>
					</div>
		</div>	
		

		</form>
		</div>
		<br><br><br>
		 
	</div>
		<script src="js/oldcrop.js"></script>
		<script src="js/newcrop.js"></script>
		<script src="js/util.js"></script>
		
		<script type="text/javascript">
			window.images = {};
			window.nissan= {};
			window.nissan.images = {};
			window.nissan.state = {};
			$(document).ready(function(){
				$('#sylphytab a').tab('show');
				
				$('#cancel').click(function(){ //select client id		
					jQuery('#tab1').show().siblings().hide();
					//innerTabs[index].classList.remove('active');
					$('#tabs1').addClass('active').siblings().removeClass('active');;
				});
				
				$('#step1 #upload').click(function(e){
				    e.preventDefault();
				    $('#step1 #file').click();}
				);

				$('#step2 #upload').click(function(e){
				    e.preventDefault();
				    $('#step2 #file').click();}
				);
				
				$("#btnChooseOld").click(function(e){
					e.preventDefault();
					if(isValidPhotoOld()){
						setActive('#btnChooseOld','#step1');
					}
				});
				$("#btnChooseNew").click(function(e){
					e.preventDefault();
					if(isValidPhotoOld()){
						setActive('#btnChooseNew','#step2');
					}
				});
				$("#btnPostAndShare").click(function(e){
					e.preventDefault();
					console.log(window.images.oldpic);
					
					if(!isValidPhotoOld()){
						setActive('#btnChooseOld',"#step1");
						return;
					}
					
					if(!isValidPhotoNew()){
						setActive('#btnChooseNew',"#step2");
						return;
					}
					
					
					$.post('combine_image.php', window.images,function(data){
						$(".tab-pane").removeClass('active');
						$("#step3").addClass('active');
						$("#final-output-image").attr('src',data);
					});
					
				});
				
			});  


			$(function(){
			    var $select = $(".year");
			    
			    for (i=2015;i>=1900;i--){
			        $select.append($('<option></option>').val(i).html(i));
			        
			    }
			});

			function isValidPhotoOld(){
				var year = parseInt($("#step1 #year").val());
				console.log(year);
				if(window.images.oldpic == null || window.images.oldpic == undefined){
						$(".txt-error-old").empty().append("You must select or upload a photo");
						setActive("#btnChooseOld","#step1");
						
						return false;
				}else if (nissan.state.cropOldPhoto != true){
					$(".txt-error-old").empty().append("You must crop the photo you selected");
					
					setActive("#btnChooseOld","#step1");
					return false;
				}else if(isNaN(year)){
					$(".txt-error-old").empty().append("Please select year taken");
					
					setActive("#btnChooseOld","#step1");
					return false;
				}else{
					images.oldyear = year;
					return true;
				}
			}
			
			function isValidPhotoNew(){
				var year = parseInt($("#step2 #year").val());
				if(window.images.newpic == null || window.images.newpic == undefined){
						$(".txt-error-new").empty().append("You must select or upload a photo");
						setActive("#btnChooseNew","#step2");
						
						return false;
				}else if (nissan.state.cropNewPhoto != true){
					$(".txt-error-new").empty().append("You must crop the photo you selected");
					
					setActive("#btnChooseNew","#step2");
					return false;
				}else if(isNaN(year)){
					$(".txt-error-new").empty().append("Please select year taken");
					
					setActive("#btnChooseNew","#step2");
					return false;
				}else{
					images.newyear = year;
					return true;
				}
			}
			
			function setActive(id,id2){
				var delay = function(){
					$('#sylphytab li').removeClass('active');
					$(id).parent().addClass('active');
					$(".tab-pane").removeClass('active');
					$(id2).addClass('active');
				}
				setTimeout(delay,200);
			}
			
			
		</script>
					

    </body>

</html>
